summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Oleg A. Deordiev <admin@ifconfig.com.ua>2012-12-14 06:19:14 +0100
committer Matteo Bernardini <ponce@slackbuilds.org>2012-12-15 15:13:34 +0100
commit18c5c1bccdd528e3ad75a64cac36645fba7ca5ba (patch)
tree207b78b08ce71cd8f9cb105321f6c6b901155a37 /network
parent2d7b0cdeb69bb926db1c8503e664b7bc9e587121 (diff)
downloadslackbuilds-18c5c1bccdd528e3ad75a64cac36645fba7ca5ba.tar.gz
slackbuilds-18c5c1bccdd528e3ad75a64cac36645fba7ca5ba.tar.xz
network/vacuum-im: Added (Qt jabber client).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/vacuum-im/README14
-rw-r--r--network/vacuum-im/clientinfo.patch37
-rw-r--r--network/vacuum-im/slack-desc19
-rw-r--r--network/vacuum-im/vacuum-im.SlackBuild101
-rw-r--r--network/vacuum-im/vacuum-im.info10
5 files changed, 181 insertions, 0 deletions
diff --git a/network/vacuum-im/README b/network/vacuum-im/README
new file mode 100644
index 0000000000..9c9b15909e
--- /dev/null
+++ b/network/vacuum-im/README
@@ -0,0 +1,14 @@
+Vacuum IM - it is a free cross-platform Jabber-client
+written in Qt4. The fundamental difference from other
+cross-platform client is open, modular architecture,
+which allows the user to customize the functionality
+to meet specific needs, as well as use of the existing
+modules to develop your own.
+
+Requirements (all already in Slackware):
+Qt >= 4.7.0
+enchant >= 1.5
+hunspell >= 1.3.2
+libidn >= 1.24
+zlib >= 1.2.5
+libzip >= 0.9.3
diff --git a/network/vacuum-im/clientinfo.patch b/network/vacuum-im/clientinfo.patch
new file mode 100644
index 0000000000..619f00d7db
--- /dev/null
+++ b/network/vacuum-im/clientinfo.patch
@@ -0,0 +1,37 @@
+Index: src/plugins/clientinfo/clientinfo.cpp
+===================================================================
+--- src/plugins/clientinfo/clientinfo.cpp (revision 1887)
++++ src/plugins/clientinfo/clientinfo.cpp (working copy)
+@@ -2,6 +2,8 @@
+
+ #include <QDir>
+ #include <QProcess>
++#include <QFile>
++#include <QIODevice>
+ #include <QFileInfo>
+ #include <QTextStream>
+
+@@ -434,8 +436,23 @@
+ }
+ }
+
++// Slackware detect
+ if (osver.isEmpty())
+ {
++ QFile slackwarever("/etc/slackware-version");
++ if (!slackwarever.open(QIODevice::ReadOnly | QIODevice::Text));
++ QTextStream slackin(&slackwarever);
++ while (!slackin.atEnd())
++ {
++ QString slackline = slackin.readLine();
++ QString slackprocess_line(slackline);
++ osver.append(slackprocess_line);
++ }
++ slackwarever.close();
++ }
++
++ if (osver.isEmpty())
++ {
+ utsname buf;
+ if (uname(&buf) != -1)
+ {
diff --git a/network/vacuum-im/slack-desc b/network/vacuum-im/slack-desc
new file mode 100644
index 0000000000..72617fdef8
--- /dev/null
+++ b/network/vacuum-im/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vacuum-im: Vacuum IM - it is a free cross-platform Jabber-client
+vacuum-im: written in Qt4. The fundamental difference from other
+vacuum-im: cross-platform client is open, modular architecture,
+vacuum-im: which allows the user to customize the functionality
+vacuum-im: to meet specific needs, as well as use of the existing
+vacuum-im: modules to develop your own.
+vacuum-im:
+vacuum-im: homepage: http://www.vacuum-im.org
+vacuum-im:
+vacuum-im:
+vacuum-im:
diff --git a/network/vacuum-im/vacuum-im.SlackBuild b/network/vacuum-im/vacuum-im.SlackBuild
new file mode 100644
index 0000000000..a907cd2362
--- /dev/null
+++ b/network/vacuum-im/vacuum-im.SlackBuild
@@ -0,0 +1,101 @@
+#!/bin/sh
+
+# Slackware build script for vacuum-im
+
+# Copyright 2012 Oleg A. Deordiev Ukraine
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=vacuum-im
+SRCNAM=vacuum
+VERSION=${VERSION:-1.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z*
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Add capabilities to determine we're on a slackware distro by vacuum-im
+patch -p0 < $CWD/clientinfo.patch
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DINSTALL_LIB_DIR=lib${LIBDIRSUFFIX} \
+ -DCMAKE_BUILD_TYPE=Release ..
+
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/doc/$SRCNAM $PKG/usr/doc/$PRGNAM-$VERSION
+rm -fr $PKG/usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/vacuum-im/vacuum-im.info b/network/vacuum-im/vacuum-im.info
new file mode 100644
index 0000000000..546b39b8be
--- /dev/null
+++ b/network/vacuum-im/vacuum-im.info
@@ -0,0 +1,10 @@
+PRGNAM="vacuum-im"
+VERSION="1.2.0"
+HOMEPAGE="http://www.vacuum-im.org"
+DOWNLOAD="https://vacuum-im.googlecode.com/files/vacuum-1.2.0.tar.gz"
+MD5SUM="ba8afa7ca74f6c491b74c4eafb936b53"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Oleg A. Deordiev"
+EMAIL="admin@ifconfig.com.ua"